List Reviewers (By ID)

Request

GET

https://api.sourcecraft.tech/pulls/id:{pull_request_id}/reviewers

Path parameters

Name

Description

pull_request_id

Type: string

Example: ``

Query parameters

Name

Description

page_size

Type: string<uint64>

The maximum number of reviewers to return. The service may return fewer than
this value

Example: ``

page_token

Type: string

A page token, received from a previous call.
Provide this to retrieve the subsequent page.

When paginating, all other parameters must match
the call that provided the page token.

Example: ``

pull_request_slug

Type: string

Example: ``

sort_by

Type: string

Ordering options: comma separated list of fields. For example: "name, created_at"
Default sorting order is ascending. To specify descending order for a field,
append a "-" prefix; for example: "name, -created_at"
Redundant space characters in the syntax are insignificant. "foo, -bar", " foo , -bar", and "foo,bar"
are all equivalent.

Available columns: created_at, decision

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "reviewers": [
    {
      "user": {
        "id": "example",
        "slug": "example"
      },
      "review_decision": "approve",
      "created_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z"
    }
  ],
  "next_page_token": "example"
}

Name

Description

next_page_token

Type: string

A token, which can be sent as page_token to retrieve the next page.
If this field is omitted, there are no subsequent pages.

Example: example

reviewers

Type: PRReviewer[]

Example
[
  {
    "user": {
      "id": "example",
      "slug": "example"
    },
    "review_decision": "approve",
    "created_at": "2025-01-01T00:00:00Z",
    "updated_at": "2025-01-01T00:00:00Z"
  }
]

UserEmbedded

Name

Description

id

Type: string

Example: example

slug

Type: string

Example: example

Example
{
  "id": "example",
  "slug": "example"
}

ReviewDecision

Type: string

Enum: approve, trust, block, abstain

PRReviewer

Name

Description

created_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

review_decision

Type: ReviewDecision

Enum: approve, trust, block, abstain

updated_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

user

Type: UserEmbedded

Example
{
  "id": "example",
  "slug": "example"
}
Example
{
  "user": {
    "id": "example",
    "slug": "example"
  },
  "review_decision": "approve",
  "created_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z"
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": {}
}

Name

Description

details

Type: Optional details. Exact structure depends on error_code

[additional]

Type: string

Example: example

Example
{}

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example

Предыдущая
Следующая